# The script of the game goes in this file.
        

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define courier = Character("") #Whyves # the player
define computer = Character("COMPUTER")
define pod = Character("pod")
define she = Character("woman")
define man = Character("man")

## BACKGROUNDS ##
image bg space = "bg_space_wide.png"
image bg pod_scene = "bg_POds.png"
image bg door_closed = "bg_closed_door.png"
image bg door_open = "bg_opened_door.png"
image bg spaceship = "Front_no_name.png"

## CHARACTERS ##
image she neutral = "char_she_neutral.png"
image she happy = "char_she_happy.png"
image she unhappy = "char_she_unhappy.png"
image she goodend = "char_she_goodending.png"

#image pod talk = "capsule.png"
image pod talk = "Spirit_1.png"
image pod talk2 = "Spirit_2.png"

image computer talk = "Computer_monitor.png"

# The game starts here.

label start:
    
    $ anger_ending = False
    $ happiness_ending = False
    
    play music "vn_music.ogg" loop
    
    scene black

    "An Emotional Courier is searching for something in the void of the universe on his Space Truck..." # this should be a big label in the middle of the screen
    
    scene bg space
    
    courier "Okay, let's think. Basically the procedure is the same of the other times: you have to locate the pod, \"talk\" to it, and then bring the emotion to the customer. And remember, as the boss uses to say, \"We don't want to deliver fast emotions. We want to deliver emotions fast\"!"
    courier "Well, maybe instead of using slogans I should review the rules..."
    
    scene bg spaceship
    with dissolve
    
    #courier "Ach! Every time the same old story! To find it I'll need to separate the interferences from the correct frequency... What a boring work!"
    
    jump introduction
    
    
label introduction:
    
    menu:
        "Know more about EF Pods":
            jump pod_description
        "Know more about Couriers":
            jump courier_description
        "Land on Dalga":
            jump planet_landing


label pod_description:
    
    show computer talk at left
    
    computer "The Emotional Fuel Pods are special devices that are able to store a sort of neutral spirit waiting to be transformed into an emotion. They cannot be created and must be found on planets (following the waves emitted by the pods). Their origins are still unclear."
    
    hide computer

    jump introduction
    
    
label courier_description:
    
    show computer talk at left
    
    computer "The Couriers have a simple task: they must collect pods, and above all they have to activate the dormant emotion of the pods by communicating with it. Since the Pods are the only known emotional energy source in the universe, they are highly requested."
    
    hide computer
    
    jump introduction
    

label planet_landing:
    
    courier "Ok, I'm ready. It's time to get back to work!"
    
    scene black
    with dissolve
    
    "The Space Truck lands on the little planet, and the Courier starts searching for this so-called \"Pod\". Right at the centre of a big natural square, surrounded by the leaves of alien trees, there's a large building. The man slowly enters the structure and finally finds it... the Pod!" # this should be a big label in the middle of the screen
    "And so, the communication begins." # this should be a big label in the middle of the screen
    
    scene bg pod_scene
    with dissolve
    
    courier "The customer asked a capsule full of the energy taken from anger: I have to talk with the pod, but it won't be easy."
    
    show pod talk at right
    
    pod "Hello, seeker... Which reason brought you here?"
    
    hide pod
    
    menu:
        "I'll be honest with you. I need an emotion. But probably you won't like it...":
            jump emotion_needed
        "Well, actually I've ended up here while I was wandering in space...":
            jump wandering_in_space
    

label emotion_needed:
    
    show pod talk at right
    
    pod "Why are you saying so? Which kind of emotion are you searching for?"
    
    hide pod
    
    menu:
        "I need your anger...":
            jump anger_needed
        "...":
            jump terrible_emotion
    
    
label wandering_in_space:
    
    show pod talk at right
    
    pod "And why should I believe you? You know, the Universe is a big place, full of people who want to use us for their evil purposes!"
    
    hide pod
    
    menu:
        "I don't have evil intentions, I've just seen this building and decided to enter!":
            jump no_evil
        
    
label anger_needed:
    
    show pod talk at right
    
    pod "So you need me to be enraged... The real question is: why would you ask for such an emotion?"
    
    hide pod
    
    menu:
        "I am a delivery-man, and someone wants this feeling. My duty is simply deliver emotions without asking...":
            jump delivery_man
        "It's for me, I need you because I can't feel anything. I need something new in my life!":
            jump its_for_me
            
    
label delivery_man:
    
    show pod talk2 at right
    
    pod "I see. You seem really honest! I'm so glad and happy that there are sincere people like you, somewhere in the universe!"
    
    hide pod
    
    $ happiness_ending = True
    
    jump delivery # GOOD ENDING VARIABLE
    
    
label its_for_me:
    
    show pod talk2 at right
    
    pod "You're lying. I can feel that your heart is calm. But it also seems pure... I'd really like to help you, but I have no reasons to be upset: on the countrary, I'm happy, because just for once in my life I had the chance to talk to a pure-hearted person like you!"
    
    hide pod
    
    $ happiness_ending = True
    
    jump delivery # GOOD ENDING VARIABLE
    
    
label terrible_emotion:
    
    show pod talk2 at right
    
    pod "So is it such a terrible emotion what you need? Maybe you don't want to ask, because you're afraid that I could suffer for you. You have such a good soul"
    
    hide pod
    
    $ happiness_ending = True
    
    jump delivery # GOOD ENDING VARIABLE
    
    
label no_evil:
    
    show pod talk at right
    
    pod "I can feel your lies, I'm not stupid! Why would someone land on this forgotten planet, when all the spaceships signal a lack of precious resources? You must be equipped with emotional radars, and you want to use me, right?!"
    
    hide pod
    
    menu:
        "No, really, I was just looking around! And then I've found you!":
            jump looking_around
        "Ok, you're right... I was lying, but now I want to be honest with you! I need one of your emotions, but probably you won't like it...":
            jump emotion_needed
    
    
label looking_around:
    
    show pod talk at right
    
    pod "You've just decided to continue with these lies! I knew you wanted to use me like everyone else! You seem experienced, you seem to know the Pods very well, aso because you were not surprised when you found me here! You're a liar, and the only thing I will give you is anger"
    
    hide pod
    
    $ anger_ending = True
    
    jump delivery # BAD ENDING VARIABLE
    

label delivery:
    
    #scene black
    #with dissolve
    
    if anger_ending:
        courier "I've obtained the correct Pod! Our customer will be happy!"
    elif happiness_ending:
        courier "I've obtained an happiness pod, not what the customer asked for!"
    else:
        jump something_went_wrong
    
    scene bg door_closed
    
    "The Courier takes the Pod, then moves his Space Truck to his addressee's house, a little building surrounded by a quiet park in the middle of a little town, on Planet Karam..."  # this should be a big label in the middle of the screen
    
    scene bg door_open
    with dissolve 
    
    show she neutral at right
    
    she "COMING!"
    
    if anger_ending:
        jump ending_anger
    elif happiness_ending:
        jump ending_happiness
    else:
        jump something_went_wrong
    
    
label ending_happiness:
    
    #scene bg door_open
    
    show she unhappy at right
    
    she "Hi... Oh, is that an Happiness Pod? But I've ordered an Anger one!"
    
    hide she
    
    courier "I know that this is the wrong EF Pod, but this is the only one I've found, and then I made an error... I'm so sorry... What a mess!"
    
    #show she unhappy at right
    show she happy at right
    
    she "Don't worry too much, a little \"bite\" of happiness couldn't kill anyone, right? At least I'll have a smile on my face for all the day, instead of being angry and shouting loud! Right?"
    
    hide she
    
    courier "Yes, I think that it's how it works, but please tell me, why would someone ask for an emotion like... Anger?"
    
    #show she unhappy at right
    show she happy at right
    
    she "Who knows? Sorry, I have to go back inside, my husband is calling me!"
    
    scene bg door_closed
    with dissolve
    
    hide she
    
    "In that precise moment the woman shut the door: the Courier was only able to hear some voices coming from the inside of the house." # this should be a big label in the middle of the screen
    
    man "So you need those stupid Emotional Couriers to feel alive? I'm not enough for you anymore?"
    
    "And then the sound of an insult, followed by a slap. Silence, and after that a low voice started crying..." # this should be a big label in the middle of the screen
    
    stop music fadeout 1.0
    
    "Sound of tears." # this should be a big label in the middle of the screen
    
    return # the end
    
    
label ending_anger:
    
    #scene bg door_open
    
    #show she neutral at right
    
    hide she
    
    courier "Here's your anger, miss..."
    
    show she happy at right
    
    she "Thank you! Thank you so much! You've made a great work, I really don't know how to thank you!"
    
    hide she
    
    courier "It's merely my duty miss, but just let me know: why would someone ask for an emotion like... Anger?"
    
    show she happy at right
    
    she "It's because... Well, I don't know exactly, but sometimes we also have the right to get angry, right? Don't you ever get angry, once in a while?"
    
    hide she
    
    courier "Yeah, I suppose so, probably when something is really hurting me..."
    
    "Suddenly, an enraged voice came from inside the house, and the Courier could clearly understand the words." # this should be a big label in the middle of the screen
    
    man "Hey, you've called again one of those fucking truck drivers? Are you so cold that you need encapsulated emotions to live decently?!"
    
    "The woman reacted without thinking." # this should be a big label in the middle of the screen
    
    show she unhappy at right
    
    she "Fuck you, fuck your violence! I can't stand you anymore! You know what? I'll go somewhere else, I don't know where, but every place is better than here, with you!"
    
    hide she
    
    scene bg door_closed
    with dissolve
    
    stop music fadeout 1.0
    
    "And then she shut the door and started walking on the pavement, shining in the sun with her beautiful, magnificent anger." # this should be a big label in the middle of the screen
    
    return # the end
    
    
label something_went_wrong:
    
    scene black
    with dissolve
    
    stop music fadeout 1.0
    
    "Uh-oh! Something went TERRIBLY wrong! SORRY!" # this should be a big label in the middle of the screen
    
    return # the end